%define         _state          stable
%define         orgname         smokekde
%define         qtver           4.8.0

Summary:	smokekde - A SMOKE library
Summary(pl.UTF-8):	smokekde - Biblioteka SMOKE
Name:		kde4-smokekde
Version:	4.14.3
Release:	4
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	bbda223b9a33fb07c695479cec968fbc
URL:		http://www.kde.org/
BuildRequires:	akonadi-devel
BuildRequires:	attica-devel
BuildRequires:	kde4-kate-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	kde4-okular-devel >= %{version}
BuildRequires:	kde4-smokegen-devel >= 4.14.3-3
BuildRequires:	kde4-smokeqt-devel >= %{version}
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Obsoletes:	kde4-kdebindings-smoke-kde < 4.6.99
Obsoletes:	smokekde <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMOKE library (Scripting Meta Object Kompiler Engine).

%description -l pl.UTF-8
Biblioteka SMOKE (Scripting Meta Object Kompiler Engine - silnik
kompilatora metaobiektów skryptowych).

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-smokeqt-devel >= %{version}
Obsoletes:	kde4-kdebinings-smoke-devel < 4.6.99
Obsoletes:	smokekde-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}

%build
export CXXFLAGS="%{rpmcxxflags} -std=gnu++98"
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libsmoke*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmoke*.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/smoke/*.h
%{_datadir}/smokegen/kde-config.xml
%attr(755,root,root) %{_libdir}/libsmoke*.so
%changelog
* Thu Oct 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-smokekde.git;a=log;h=master

* Thu Oct 03 2019 Jan Rękorajski <baggins@pld-linux.org> c5818ee
- force g++98 c++ language standard
- rel 4

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 8ee7ce9
- rebuild for g++ ABI changes
- release 3 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 93b9467
- x32 rebuild
- release 2 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 918bfc5
- BR non broken smokegen

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 8192e89
- updated to 4.14.3 (by update-kde4.sh)

* Fri Oct 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e80e4bd
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3ac6f97
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4af83bc
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 716e2f5
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eb82b8e
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3f14b55
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 46ab647
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> adc9089
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c8b279b
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 27 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 3798389
- up to 4.12.0

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f550a5
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 910f15e
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> ba10deb
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5f01451
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> c8b4d35
- updated to 4.9.3.

